curl -X GET "https://api.foxreach.io/api/v1/email-accounts" \
-H "X-API-Key: otr_your_key"
from foxreach import FoxReach
client = FoxReach(api_key="otr_your_key")
accounts = client.email_accounts.list()
import { FoxReach } from "foxreach";
const client = new FoxReach({ apiKey: "otr_your_key" });
const accounts = await client.emailAccounts.list();
{
"data": [
{
"id": "cea_abc123",
"email": "[email protected]",
"displayName": "John from Company",
"provider": "gmail",
"smtpHost": "smtp.gmail.com",
"smtpPort": 587,
"imapHost": "imap.gmail.com",
"imapPort": 993,
"dailyLimit": 50,
"sentToday": 12,
"warmupEnabled": true,
"warmupDailyLimit": 10,
"warmupRampUpDays": 14,
"warmupStartDate": "2025-01-01T00:00:00",
"healthScore": 95,
"bounceRate": 0.02,
"replyRate": 0.08,
"isActive": true,
"connectionStatus": "connected",
"lastError": null,
"createdAt": "2025-01-01T10:00:00",
"updatedAt": "2025-01-15T10:30:00"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 1,
"totalPages": 1
}
}
Email Accounts
List Email Accounts
Retrieve a paginated list of email accounts in your workspace.
GET
/
api
/
v1
/
email-accounts
curl -X GET "https://api.foxreach.io/api/v1/email-accounts" \
-H "X-API-Key: otr_your_key"
from foxreach import FoxReach
client = FoxReach(api_key="otr_your_key")
accounts = client.email_accounts.list()
import { FoxReach } from "foxreach";
const client = new FoxReach({ apiKey: "otr_your_key" });
const accounts = await client.emailAccounts.list();
{
"data": [
{
"id": "cea_abc123",
"email": "[email protected]",
"displayName": "John from Company",
"provider": "gmail",
"smtpHost": "smtp.gmail.com",
"smtpPort": 587,
"imapHost": "imap.gmail.com",
"imapPort": 993,
"dailyLimit": 50,
"sentToday": 12,
"warmupEnabled": true,
"warmupDailyLimit": 10,
"warmupRampUpDays": 14,
"warmupStartDate": "2025-01-01T00:00:00",
"healthScore": 95,
"bounceRate": 0.02,
"replyRate": 0.08,
"isActive": true,
"connectionStatus": "connected",
"lastError": null,
"createdAt": "2025-01-01T10:00:00",
"updatedAt": "2025-01-15T10:30:00"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 1,
"totalPages": 1
}
}
Query Parameters
integer
default:"1"
Page number (starts at 1).
integer
default:"20"
Number of accounts per page (1-100).
Response
array
Array of email account objects.
Show Email account object
Show Email account object
string
Unique account identifier.
string
Email address.
string
Display name for outgoing emails.
string
Email provider:
gmail, outlook, custom.string
SMTP server hostname.
integer
SMTP port.
string
IMAP server hostname.
integer
IMAP port.
integer
Maximum emails per day.
integer
Emails sent today.
boolean
Whether warmup is enabled.
integer
Warmup emails per day.
integer
Days for warmup ramp-up.
string
When warmup started.
integer
Account health score (0-100).
number
Bounce rate (0.0-1.0).
number
Reply rate (0.0-1.0).
boolean
Whether the account is active.
string
Connection status:
connected, disconnected, error.string
Last error message if any.
string
ISO 8601 timestamp.
string
ISO 8601 timestamp.
curl -X GET "https://api.foxreach.io/api/v1/email-accounts" \
-H "X-API-Key: otr_your_key"
from foxreach import FoxReach
client = FoxReach(api_key="otr_your_key")
accounts = client.email_accounts.list()
import { FoxReach } from "foxreach";
const client = new FoxReach({ apiKey: "otr_your_key" });
const accounts = await client.emailAccounts.list();
{
"data": [
{
"id": "cea_abc123",
"email": "[email protected]",
"displayName": "John from Company",
"provider": "gmail",
"smtpHost": "smtp.gmail.com",
"smtpPort": 587,
"imapHost": "imap.gmail.com",
"imapPort": 993,
"dailyLimit": 50,
"sentToday": 12,
"warmupEnabled": true,
"warmupDailyLimit": 10,
"warmupRampUpDays": 14,
"warmupStartDate": "2025-01-01T00:00:00",
"healthScore": 95,
"bounceRate": 0.02,
"replyRate": 0.08,
"isActive": true,
"connectionStatus": "connected",
"lastError": null,
"createdAt": "2025-01-01T10:00:00",
"updatedAt": "2025-01-15T10:30:00"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 1,
"totalPages": 1
}
}
Email account credentials (passwords) are never exposed through the API. To add or modify email accounts, use the dashboard.
Rate Limit
- 100 requests per minute, per API key. Fixed 60-second window.
- Every response includes
X-RateLimit-Limit,X-RateLimit-Remaining, andX-RateLimit-Reset(unix epoch seconds). - A
429response includes aRetry-Afterheader (seconds until the bucket resets).
Retry-After, exponential backoff, monitoring X-RateLimit-Remaining), see Rate Limiting.